
D4Science Infrastructure - Task #9857

Task # 10240 (Closed): Install a modern virtualisation framework to host the 'corporate' services

Evacuate the hypervisors from dlib14x to dlib19x

Sep 28, 2017 05:28 PM - Andrea Dell'Amico

Status: Closed Start date: Sep 28, 2017

Priority: Normal Due date:  

Assignee: Tommaso Piccioli % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: Migrate from Xen to a new virtualisation

system

  

Infrastructure: Development, Pre-Production,

Production

  

Description

They will be used to run a new virtualization system that will host the corporate services: DNS, DNS cache, SMTP relay, ticket

systems, monitoring, etc.

The existing VMs can be migrated to the Dell powered hypervisors.

Related issues:

Related to D4Science Infrastructure - Task #10287: Schedule downtime for GN DB Closed Nov 09, 2017 Nov 22, 2017

History

#1 - Oct 04, 2017 02:13 PM - Andrea Dell'Amico

- Subject changed from Evacuate the hypervisors from dlib14x to dlib18x to Evacuate the hypervisors from dlib14x to dlib19x

#2 - Nov 07, 2017 04:37 PM - Andrea Dell'Amico

- Target version changed from System Configuration  to Migrate from Xen to a new virtualisation system

- Parent task set to #10240

#3 - Nov 09, 2017 07:02 PM - Fabio Sinibaldi

- Related to Task #10287: Schedule downtime for GN DB added

#4 - Nov 09, 2017 07:14 PM - Tommaso Piccioli

List of VMs to be migrated:

dlib14x

auth1.research-infrastructures.eu

dlib01.isti.cnr.it

node24.p.d4science.research-infrastructures.eu

node27.d.d4science.research-infrastructures.eu

node3.d.d4science.research-infrastructures.eu

node6.d4science.org

dlib15x

git.research-infrastructures.eu

node11.p.d4science.research-infrastructures.eu

node26.p.d4science.research-infrastructures.eu

node5.t.openaire.research-infrastructures.eu

node7.p.d4science.research-infrastructures.eu

node9.p.d4science.research-infrastructures.eu

dlib16x

certs.research-infrastructures.eu

geoserver-test.d4science-ii.research-infrastructures.eu

issue.research-infrastructures.eu

message-broker.d4science.research-infrastructures.eu

node1.p.d4science.research-infrastructures.eu

node2.p.d4science.research-infrastructures.eu

redbox-test.research-infrastructures.eu
dlib17x

ambari-hadoop-test.d4science.org

geonetwork-v3.dev.d4science.org

jobtracker.t.hadoop.research-infrastructures.eu

node13.d.d4science.research-infrastructures.eu

node26.d.d4science.research-infrastructures.eu

ppa.research-infrastructures.eu

dlib18x

cassandra2-d-d4s.d4science.org

geoserver-dev4.d4science.org

hbase-master2.t.hadoop.research-infrastructures.eu

maven.research-infrastructures.eu

mongo2-d-d4s.d4science.org

node22.d.d4science.research-infrastructures.eu

node9-d-d4s.d4science.org

resourceregistry1-d-d4s.d4science.org

rm1-hadoop-test.d4science.org

slave1.ci.research-infrastructures.eu

social-indexer.d4science.org

ui.grid.research-infrastructures.eu

worker6-hadoop.d4science.org

workspace-repository-devnext.d4science.org

dlib19x

geoserver-db.d4science.org

mongo3-d-d4s.d4science.org

node1-d-d4s.d4science.org

node10.p.d4science.research-infrastructures.eu

node20.d.d4science.research-infrastructures.eu

node42.p.d4science.research-infrastructures.eu

node43.p.d4science.research-infrastructures.eu

node44.p.d4science.research-infrastructures.eu

node50.p.d4science.research-infrastructures.eu

quorum3.t.hadoop.research-infrastructures.eu

transect-1-d-d4s.d4science.org

worker7-hadoop.d4science.org

workspace-repository-devsec.d4science.org

#5 - Nov 09, 2017 07:26 PM - Andrea Dell'Amico

At all involved: please report what of these VMs can be migrated without risks, and which ones need a scheduled downtime.

#6 - Nov 14, 2017 11:37 AM - Fabio Sinibaldi

Since information is expected to come from different developers, I'm preparing a google sheet here to collect them : 

https://docs.google.com/spreadsheets/d/1wfcAEVuD9CS4_7cDgTO7eck3andAaGMK8_Z6c0gXzbw/edit?usp=sharing

#7 - Nov 17, 2017 07:52 PM - Andrea Dell'Amico

I see that the document was partially compiled.

We need to know when we can restart the production VMs, possibly within next Tuesday.

#8 - Nov 17, 2017 08:17 PM - Claudio Atzori

Anytime is fine with me, but I can speak only for the following VMs

node5.t.openaire.research-infrastructures.eu

ppa.research-infrastructures.eu

maven.research-infrastructures.eu

 I'd like to send out the restart announcement one day before, so please let's agree on the when asap :)

I added another column in the document in order to gather all the when constraints.

#9 - Nov 21, 2017 02:20 PM - Andrea Dell'Amico

The document has just been amended with information that will be useful to schedule the transferts.

#10 - Nov 25, 2017 03:40 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 20
Some VMs have been migrated.

#11 - Nov 29, 2017 12:36 PM - Tommaso Piccioli

- % Done changed from 20 to 50

Host node26.d.d4science.research-infrastructures.eu deleted

Host node1-d-d4s.d4science.org has been already migrated but the ghn was down since march 2017. @roberto.cirillo@isti.cnr.it , could you please

verify if we can dismiss the node?

#12 - Nov 29, 2017 08:37 PM - Andrea Dell'Amico

- % Done changed from 50 to 80

Only some dev VMs on dlib18x remains (thanks to Tom, he is doing all the work).

#13 - Dec 01, 2017 08:04 PM - Tommaso Piccioli

- % Done changed from 80 to 90

Still to be moved:

mongo2-d-d4s.d4science.org  (waiting Roberto to switch the PRIMARY node)

slave1.ci.research-infrastructures.eu  (waiting the check on the old jenkins cluster)

rm1-hadoop-test.d4science.org  )

                               ( these two will be left to run tests on the new storage network

worker6-hadoop.d4science.org   )

#14 - Dec 04, 2017 02:46 PM - Tommaso Piccioli

mongo2-d-d4s.d4science.org moved.

#15 - Dec 05, 2017 06:02 PM - Roberto Cirillo

Tommaso Piccioli wrote:

Host node1-d-d4s.d4science.org has been already migrated but the ghn was down since march 2017. @roberto.cirillo@isti.cnr.it , could you

please verify if we can dismiss the node?

 I've restarted the service hosted on node1-d-d4s.d4science.org. This node hosts the VREModeler service.

#16 - Dec 06, 2017 07:31 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

The nodes are empty.
